adapter-webpush

Push over Web Push (RFC 8030/8188/8291/8292): browsers and UnifiedPush.

With cargo

cargo add cratefield-adapter-webpush

What it is

adapter-webpush.

The Push port over Web Push, for the Cratefield harness (issue #180): RFC 8030 delivery, RFC 8188 / RFC 8291 aes128gcm payload encryption, RFC 8292 VAPID authentication.

From the crate’s own README.

Ports

Implements Push

Read more

History

Changelog.

From the crate’s CHANGELOG.md in the harness, as of 0c5560b. 4 versions recorded, newest first. Every published version is on crates.io.

  1. 0.3.2

    crates.ioReleaseDiff

    Other

    • updated the following local packages: cratefield-core, cratefield-push-auth
  2. 0.3.1

    crates.ioReleaseDiff

    Other

    • updated the following local packages: cratefield-core
2 earlier versions 0.2.1 to 0.3.0
  1. 0.3.0

    crates.ioReleaseDiff

    Changed

    • Breaking: requires cratefield-core 0.8 (was 0.7), and so a minor rather than a patch bump: a venture still on core 0.7 does not pick this release up through a caret requirement and end up with two copies of core (#712).

    Other

    • updated the following local packages: cratefield-core
  2. 0.2.1

    crates.ioRelease

    Other

    • updated the following local packages: cratefield-core

One of 76 crates in the harness, all of them MIT and all of them in one repository.